complexType "PhysicalSettlementPeriod"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 3 elements
Defined: | globally in fpml-cd-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | businessDaysNotSpecified | businessDays | maximumBusinessDays
</...>

Content Model Elements (3):

  businessDays (in physicalSettlementPeriod), businessDaysNotSpecified, | maximumBusinessDays

All Direct / Indirect Based Elements (1):

  physicalSettlementPeriod

Known Usage Locations

- As direct type of elements (1):
  physicalSettlementPeriod

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="PhysicalSettlementPeriod"> <xsd:choice> <xsd:element name="businessDaysNotSpecified" type="xsd:boolean"/> <xsd:element name="businessDays" type="xsd:nonNegativeInteger"/> <xsd:element name="maximumBusinessDays" type="xsd:nonNegativeInteger"/> </xsd:choice> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
businessDays

  Type: | xsd:nonNegativeInteger, predefined, simple content

  A number of business days. Its precise meaning is dependant on the context in which this element is used. ISDA 2003 Term: Business Day
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="businessDays" type="xsd:nonNegativeInteger"/>

businessDaysNotSpecified

  Type: | xsd:boolean, predefined, simple content

  An explicit indication that a number of business days are not specified and therefore ISDA fallback provisions should apply.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="businessDaysNotSpecified" type="xsd:boolean"/>

maximumBusinessDays

  Type: | xsd:nonNegativeInteger, predefined, simple content

  A maximum number of business days. Its precise meaning is dependant on the context in which this element is used. Intended to be used to limit a particular ISDA fallback provision.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="maximumBusinessDays" type="xsd:nonNegativeInteger"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.